Subject: bug#22055: Some Elpa packages don't provide a feature

From: Jonas Bernoulli <[email-masked]>
Date: Thu, 03 Dec 2015 15:34:38 +0100

Artur Malabarba <[email-masked]> writes:

>> `load-relative' also doesn't provide its feature using `provide', but
>> that is intentional - it uses the alternative `provide-me' form, which
>> it itself defines.
>
> I can't see the benefit but I also can't see the harm. Did it affect you
> negatively in any way?

No, I just cannot mirror it on the Emacsmirror, but that does not really
matter because I also could not mirror any other package which uses
`provide-me'.  I extract metadata for all mirrored packages, including
the provided features, and the respective code does not support
`provide-me'.  I don't intend to support that form until at least halve
a dozen packages use it.